//old woman who has a pet duck
void main( void )
{
 if (&old_womans_duck == 5)
 {
  say("`3凶手可好！！", &current_sprite);
 
 }

 if (&old_womans_duck == 0)
 {
  say("`3丁克好啊。", &current_sprite);
 
 }

 if (&old_womans_duck == 1)
 {
  say("`3啊，丁克， 我好担心啊 - 你找到他了吗？", &current_sprite);
 }

 if (&old_womans_duck == 2)
 {
  &old_womans_duck = 4;
  say_stop("`3哈，丁克, - 看看谁在来了！", &current_sprite);
  wait(200);
  say("`3哦对了，你妈妈在找你。", &current_sprite);
 }
}

void talk( void )
{

if (&old_womans_duck == 5)
  {
   say("`3滚开!", &current_sprite);
   return;
  }




if (&story > 3)
  {
  say_stop("`3丁克...你母亲...,", &current_sprite);
  wait(200);
  say_stop("`3她是个好人。", &current_sprite);
  if (&old_womans_duck == 3)
   {
   say_stop("`3有些佹异，我的鸭没了，你妈妈死了。", &current_sprite);
   }
  if (&old_womans_duck == 5)
   {
   say_stop("`3挺佹异吧，我的鸭鸭和你的妈妈都死了。", &current_sprite);
   }
 // goto talk;
  unfreeze(&current_sprite);
  unfreeze(1);

  return;
  }

if (&old_womans_duck == 2)
  {
  say_stop("`3啊，真谢谢你，丁克，你真是个好孩子！", &current_sprite);
  unfreeze(&current_sprite);
  unfreeze(1);
  return;
  }

if (&old_womans_duck == 4)
  {
  say_stop("`3啊，真谢谢你，丁克，你真是个好孩子！", &current_sprite);
  unfreeze(&current_sprite);
  unfreeze(1);
  return;

  }


if (&old_womans_duck == 3)
  {
  say_stop("`3我的鸭鸭呢？", &current_sprite);

  unfreeze(&current_sprite);
  unfreeze(1);
 say("<chortles>", 1);
  return;
  }



if (&old_womans_duck == 1)
  {
  say_stop("`3你必须继续找 Quackers！  我有多么的爱他！", &current_sprite);
  unfreeze(&current_sprite);
  unfreeze(1);
  return;
  }

talk:
freeze(1);
freeze(&current_sprite);
choice_start()
"问好"
(&old_womans_duck == 0)"她的宠物呢？"
"那么多瓶子是怎么回事"
"离开"
choice_end()

if (&result == 4)
  {

  unfreeze(&current_sprite);
  unfreeze(1);

  }

wait(300);
if (&result == 1)
 {
  say_stop("Ethel今天可好？", 1); 
  wait(500);
  if (&old_womans_duck == 0)
  {
  say_stop("`3哎，不太好啊，丁克。小 Quackers 失踪了！", &current_sprite);
  unfreeze(&current_sprite);
  unfreeze(1);
  return;
  }
  say_stop("`3我很好，谢谢关心。", &current_sprite);
 }

if (&result == 2)
 {
  say_stop("小鸭鸭去哪了呢？", 1); 
  wait(500);
  say_stop("`3Quackers 失踪了！  你能帮我找到他吗？", &current_sprite);
  wait(500);
  choice_start()
  "嗯，很乐意"
  "好，好吧.."
  "求我办事？没门！"
  choice_end()
  wait(300);

  if (&result == 1)
   {
  say_stop("不要担心 Ethel， 我会带他回来的！", 1); 
  wait(500);
  say_stop("`3谢谢丁克！", &current_sprite);
  wait(500);
  &old_womans_duck = 1;
  }

  if (&result == 2)
   {
  say_stop("嗯，要是我看到他的话，大概吧。", 1); 
  wait(500);
  say_stop("`3哦，这样啊...谢..谢.", &current_sprite);
  wait(500);
  &old_womans_duck = 1;
  }
  if (&result == 3)
   {
  say_stop("你自己找吧，这个都不行", 1); 
  wait(500);
  say_stop("`3我...我不知道.. <哭泣>", &current_sprite);
  wait(500);
  unfreeze(1);
  unfreeze(&current_sprite);
  return;
  }
}
if (&result == 3)
 { 
  say_stop("嘿嘿 Ethel， 这么多酒是干什么的？", 1);
  say_stop("你很喜欢狂欢吧？", 1);
  wait(200);
  say_stop("`3你在说什么呢，丁克？", &current_sprite);
  wait(200);
  say_stop("你知道的啊，到周末忘却所有的烦恼", 1);
  say_stop("在不认识的男人身边醒来。", 1);
  say_stop("然后那悔恨！对吧 Ethel？", 1);
  wait(200);
  say_stop("`3丁克 ..", &current_sprite);
  say_stop("`3你该去看看了。", &current_sprite);
 }


}

  unfreeze(&current_sprite);
  unfreeze(1);
}
